package com.goafanti.user.bo;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.model.ExpertPublish;

public class ExpertPublishBo extends ExpertPublish{
	/**所属行业*/
	private String industry;
	/**专家名称*/
	private String name;
	/**发布人名称*/
	private String publisherName;
	/**子平台名称*/
	private String platformName;
	/**页面位置*/
	private String PublishPageName;
	
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPublisherName() {
		return publisherName;
	}
	public void setPublisherName(String publisherName) {
		this.publisherName = publisherName;
	}
	public String getPublishTimeFormattedDate() {
		if (publishTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getPublishTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	public String getPlatformName() {
		return platformName;
	}
	public void setPlatformName(String platformName) {
		this.platformName = platformName;
	}
	public String getPublishPageName() {
		return PublishPageName;
	}
	public void setPublishPageName(String publishPageName) {
		PublishPageName = publishPageName;
	}
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}

}
